### Method

# Gimp ProcedureConfig end_run

#### Declaration [src]

    void
    gimp_procedure_config_end_run (
      GimpProcedureConfig* config,
      GimpPDBStatusType status
    )

#### Description [src]

This function is the counterpart of `gimp_procedure_config_begin_run()` and must always be called in pairs in a procedure’s run(), before returning return values.

If the `run_mode` passed to `gimp_procedure_config_end_run()` was `GIMP_RUN_INTERACTIVE`, `config` is saved as last used values to be used when the procedure runs again. Additionally, if the `GimpImage` passed to `gimp_procedure_config_begin_run()` was not `NULL`, `config` is attached to `image` as last used values for this image using a `GimpParasite` and `gimp_image_attach_parasite()`.

If `run_mode` was not `GIMP_RUN_NONINTERACTIVE`, this function also conveniently calls `gimp_displays_flush()`, which is what most procedures want and doesn’t do any harm if called redundantly.

After a `GIMP_RUN_INTERACTIVE` run, `GIMP_ARGUMENT_SYNC_PARASITE` values that have been changed are written back to their corresponding image parasite.

See `gimp_procedure_config_begin_run()`.

Available since: | 3.0

#### Parameters

`status` | `GimpPDBStatusType`
| The return status of the `GimpProcedure`‘s `run()`